
QGIS Application - Bug report #9575

Georeferencer: Polynomial 2 transformation with 6 GCP is unable to process

2014-02-16 12:25 PM - Michel Proulx

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:2.0.1 Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18158

Description

QGIS 1.8.0 and 2.0.1 when georeferencing topo and geological map, .jpg / tiff. formats; lon, lat originale coordinates; 6 control points; all

transfo excepted Polynomial 2-3; get inverse vectorial map like an overturned acetate sheet.

History

#1 - 2014-02-16 12:38 PM - Giovanni Manghi

- Subject changed from Géorefenceur (georeferencing) URGENT  to Georeferencer issue

- Category changed from GDAL Tools to C++ Plugins

- Status changed from Open to Feedback

- Target version changed from Version 2.0.0 to Version 2.2

Hi, the description is not really clear. Can you add sample data (including the GPC file)? Maybe also a screenshot of the expected/obtained results?

#2 - 2014-02-16 01:01 PM - Michel Proulx

- Assignee set to Giovanni Manghi

- File Reversed_image.pdf added

Dear Giovanni

What's mean and where to find GPC file?

Here is attached final result.

#3 - 2014-02-16 01:04 PM - Giovanni Manghi

Michel Proulx wrote:

Dear Giovanni

What's mean and where to find GPC file?

Here is attached final result.

so the wrong output (flipped) is a raster, the one modified by the georeferencer, correct?
The GCP are the ground control points, the one you define to make the georeferencing, that you can save as file one you defined them.

If you can attach here the original image and the GCP file (plus all the parameters you are using) we can try what is going wrong.

#4 - 2014-02-16 01:53 PM - Michel Proulx

Oginal map makes 180 Mo. I can't send it here.

You're right what I get from georeferencer is flipped raster!? Flipped raster with flipped coordinates too.

#5 - 2014-02-16 01:55 PM - Giovanni Manghi

Michel Proulx wrote:

Oginal map makes 180 Mo. I can't send it here.

You're right what I get from georeferencer is flipped raster!? Flipped raster with flipped coordinates too.

if is a tif and you zip it then it compresses a lot. You can also use something like dropbox or similar to add a link.

#6 - 2014-02-16 02:18 PM - Michel Proulx

- File GCP_file added

Here GCP file and orginal map.

#7 - 2014-02-18 10:58 AM - Michel Proulx

- % Done changed from 0 to 80

Problem solved. West of the Meridian line longitidude coordinates are negative.

I think it is not clearly mentionned in QGIS 2.0 maybe added directly into Georeferencer.

Other problem occurs, Polynomial 2 transformation with 6 GCP is unable to process.

Thanks

#8 - 2014-02-19 11:03 AM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

Other problem occurs, Polynomial 2 transformation with 6 GCP is unable to process.

so this is the real issue, right?
#9 - 2014-02-19 01:16 PM - Michel Proulx

Michel Proulx wrote:

Problem solved.+ West of the Meridian line longitidude coordinates are negative+.

I think it is not clearly mentionned in QGIS 2.0 maybe added it directly into Georeferencer.

Other problem occurs, Polynomial 2 transformation with 6 GCP is unable to process.

Thanks

#10 - 2014-02-20 05:49 AM - Giovanni Manghi

Michel Proulx wrote:

Michel Proulx wrote:

Problem solved.+ West of the Meridian line longitidude coordinates are negative+.

I think it is not clearly mentionned in QGIS 2.0 maybe added it directly into Georeferencer.

so what was the solution?

Other problem occurs, Polynomial 2 transformation with 6 GCP is unable to process.

what is the error?

#11 - 2014-02-20 10:31 AM - Michel Proulx

Solution: put - for longitude like -77° 45' 00"

Error: Failed calculation processing of the control points. Processing can not be resolved. 6 GCP (-lon, lat), Polynimial 2 with nearest neighbor no

compression

Info:

Version de QGIS    2.0.1-Dufour    Révision du code    f738351

Compilé avec Qt    4.8.5    Utilisant Qt    4.8.5

Compilé avec GDAL/OGR    1.10.1    Utilisé avec GDAL/OGR    1.10.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

Version du client PostgreSQL    9.2.4    Version de SpatiaLite    4.1.1

Version de QWT    6.0.2    Version de PROJ.4 :    480

Version de QScintilla2    2.7.2

#12 - 2014-03-01 05:34 AM - Giovanni Manghi

- Subject changed from Georeferencer issue to Georeferencer: Polynomial 2 transformation with 6 GCP is unable to process

- Status changed from Feedback to Open
- % Done changed from 80 to 0

#13 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#14 - 2014-06-29 06:34 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Georeferencer

#15 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#16 - 2018-03-01 12:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#17 - 2018-03-01 09:18 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

Files

Reversed_image.pdf 712 KB 2014-02-16 Michel Proulx

GCP_file 399 Bytes 2014-02-16 Michel Proulx
